CVE-2017-7481

Impact:
Moderate
Public Date:
2017-05-09
CWE:
CWE-20
Bugzilla:
1450018: CVE-2017-7481 ansible: Security issue with lookup return not tainting the jinja2 environment
An input validation flaw was found in Ansible, where it fails to properly mark lookup-plugin results as unsafe. If an attacker could control the results of lookup() calls, they could inject Unicode strings to be parsed by the jinja2 templating system, resulting in code execution. By default, the jinja2 templating language is now marked as 'unsafe' and is not evaluated.

Find out more about CVE-2017-7481 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 5.3
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:H/A:N
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality None
Integrity Impact High
Availability Impact None

Red Hat Security Errata

Platform Errata Release Date
Red Hat OpenShift Container Platform 3.5 (ansible) RHSA-2017:1244 2017-05-17
Red Hat OpenShift Container Platform 3.2 (ansible) RHSA-2017:1244 2017-05-17
Red Hat OpenStack Platform 11 (ansible) RHSA-2017:1476 2017-06-15
Red Hat OpenShift Container Platform 3.3 (ansible) RHSA-2017:1244 2017-05-17
Red Hat OpenShift Container Platform 3.4 (ansible) RHSA-2017:1244 2017-05-17
Red Hat Gluster Storage Server 3.2 on RHEL-7 (ansible) RHSA-2017:1334 2017-05-25
Red Hat OpenStack Platform 10 (ansible) RHSA-2017:1599 2017-06-28
Red Hat Storage Console Agent 2 (ansible) RHSA-2017:1499 2017-06-19
RHEV-M 4.0 (ansible) RHSA-2017:2524 2017-08-22

Affected Packages State

Platform Package State
Red Hat OpenStack Platform 12 ansible Not affected

Acknowledgements

This issue was discovered by Evgeni Golov (Red Hat).

Last Modified
Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.